/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * Copyright (c) 2004  Ted Mielczarek
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


var browseFolder = {
  init: function() {
    try {
      gExtensionContextMenus.push("browseext-sep");
      gExtensionContextMenus.push("browseext-browse");
      gExtensionContextMenus.push("copyGUID");
  
      gThemeContextMenus.push("browseext-sep");
      gThemeContextMenus.push("browseext-browse");
      gThemeContextMenus.push("copyGUID");
    } catch (ex) {
      gAddonContextMenus.push("browseext-sep");
      gAddonContextMenus.push("browseext-browse");
      gAddonContextMenus.push("copyGUID");

      gUpdateContextMenus.push("browseext-sep");
      gUpdateContextMenus.push("browseext-browse");
      gUpdateContextMenus.push("copyGUID");
    }
  },

  browse: function(e) {
    var extDir = local_common.getSpecialFolder('ProfD');

    extDir.append("extensions");
    extDir.append(this.getGUID());

    if(extDir.exists()) {
      // 3-27-06: commented out runApplication to have it match the Download manager open folder code
      //open_profile.runApplication(extDir.path);
      local_common.openDirectory(extDir.path)
    }
  },
  
  getGUID: function() {
    var myWindowState = window.location.search.substr("?type=".length, window.location.search.length);
    var thisPrefix ;
    var getID = null; // mrtech: added check since ff 1.1+ wasn't getting gExtensionsView.selected properly

    if (myWindowState == "extensions") {
      thisPrefix = (local_common.IsOldBrowser()) ? PREFIX_EXTENSION : PREFIX_ITEM_URI;
    } else {
      thisPrefix = (local_common.IsOldBrowser()) ? PREFIX_THEME : PREFIX_ITEM_URI;
    }

    if (local_common.IsOldBrowser()) {
      getID = gExtensionsView.selected.getAttribute("id").replace(thisPrefix,''); /* ) */
    } else {
      var mSelectedItem = gExtensionsView.selectedItem;
      getID = mSelectedItem.getAttribute("id").replace(thisPrefix,''); /* ) */
    }
    return getID;
  }
};

// do the init on load
window.addEventListener("load", browseFolder.init, false);
